perl: warning: Setting locale failed. / 2019-03-03

perl: warning: Setting locale failed. 原因是本地化语言配置缺失,需要安装,比如zh_CN.UTF-8。

ubuntu 上执行 apt-get install 出现错误:

perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:

原因是本地化语言配置缺失,需要安装,比如zh_CN.UTF-8,请执行:

apt-get install language-pack-zh-hans

vim ~/.bashrc
export LC_ALL=C
source ~/.bashrc

查看locale设置
locale

列出已安装的本地化配置
locale -a

其它文章

inode用尽导致磁盘空间不足
utf8mb4:MYSQL中使用Emoji